Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jst.jsf.taglibprocessing.internal.provisional.attributevalues
Class ValueBindingType

    java.lang.Object
      org.eclipse.jst.jsf.metadataprocessors.internal.provisional.AbstractMetaDataEnabledFeature
          org.eclipse.jst.jsf.metadataprocessors.internal.provisional.AbstractRootTypeDescriptor
              org.eclipse.jst.jsf.taglibprocessing.internal.provisional.attributevalues.BindingType
                  org.eclipse.jst.jsf.taglibprocessing.internal.provisional.attributevalues.ExpressionBindingType
                      org.eclipse.jst.jsf.taglibprocessing.internal.provisional.attributevalues.ValueBindingType

All Implemented Interfaces:
  IMetaDataEnabledFeature, ITypeDescriptor, IValidELValues

Direct Known Subclasses:
  ComponentBindingType, ComponentIDType, ValueType

public class ValueBindingType
extends ExpressionBindingType
implements IValidELValues

Meta-data processing type representing a Value Bound attribute value runtime type that implements IValidValues

Field Summary

Fields inherited from class org.eclipse.jst.jsf.taglibprocessing.internal.provisional.attributevalues.ExpressionBindingType
`RUNTIME_PARAMS_TYPES, RUNTIME_RETURN_TYPE, RUNTIME_SETTER_REQUIRED`

Constructor Summary
`ValueBindingType()`

Method Summary
`protected int` | `getAssignmentValue()`
`org.eclipse.jst.jsf.core.internal.types.CompositeType` | `getExpectedRuntimeType()`
`protected boolean` | `getIsSetValueRequired()`

Methods inherited from class org.eclipse.jst.jsf.taglibprocessing.internal.provisional.attributevalues.ExpressionBindingType
`getParams, getReturnType, getValidationMessages`

Methods inherited from class org.eclipse.jst.jsf.metadataprocessors.internal.provisional.AbstractRootTypeDescriptor
`findMetaDataEnabledFeaturesForThisType, getFeatureAdapters, getTypeExtension, setTypeExtension`

Methods inherited from class org.eclipse.jst.jsf.metadataprocessors.internal.provisional.AbstractMetaDataEnabledFeature
`getBundleID, getCMAnnotationContext, getCMAttributePropertyValue, getCMAttributePropertyValues, getCMSmallIcon, getImage, getStructuredDocumentContext, setBundleID, setContentModelContext, setStructuredDocumentContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jst.jsf.metadataprocessors.internal.provisional.IMetaDataEnabledFeature
`getBundleID, getCMAnnotationContext, getStructuredDocumentContext, setBundleID, setContentModelContext, setStructuredDocumentContext`

Constructor Detail

### ValueBindingType

    public ValueBindingType()

Method Detail

### getExpectedRuntimeType

    public org.eclipse.jst.jsf.core.internal.types.CompositeType getExpectedRuntimeType()
                                                                                 throws ELIsNotValidException

  Specified by:
    `getExpectedRuntimeType` in interface `IValidELValues`
  Throws:
    `ELIsNotValidException`

### getAssignmentValue

    protected int getAssignmentValue()

### getIsSetValueRequired

    protected boolean getIsSetValueRequired()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD